
package de.ivu.elect.business.search.control;

import java.io.Serializable;

/**
 *  on 22.07.2015.
 */
public class SearchParameterFieldState implements Serializable {

  private final String fieldName;

  private final Object value;

  public SearchParameterFieldState(String fieldName, Object value) {
    super();

    this.fieldName = fieldName;
    this.value = value;
  }

  public Object getValue() {
    return value;
  }

  public String getFieldName() {
    return fieldName;
  }

  @Override
  public String toString() {
    return "SearchParameterFieldState{" + "fieldName='" + fieldName + '\'' + ", value=" + value + '}';
  }
}
